Bug 1329524 - perl-clearsilver has symbol lookup error: undefined symbol: hdf_init because of wrong command order in %build
Summary: perl-clearsilver has symbol lookup error: undefined symbol: hdf_init because...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: clearsilver
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-22 07:37 UTC by Jean-Philippe Pialasse
Modified: 2016-05-10 22:28 UTC (History)
1 user (show)

Fixed In Version: clearsilver-0.10.5-35.fc23 clearsilver-0.10.5-35.fc22 clearsilver-0.10.5-35.fc24 clearsilver-0.10.5-16.el7 clearsilver-0.10.5-16.el6 clearsilver-0.10.5-16.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-01 23:52:48 UTC


Attachments (Terms of Use)

Description Jean-Philippe Pialasse 2016-04-22 07:37:36 UTC
Description of problem:
when running a cgi based on clearsilver

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1.install perl-clearsilver from epel
2. use a cgi script based on it ie https://github.com/gurubert/ezmlm-web
3. 500 error : 

/usr/bin/perl: symbol lookup error: /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/ClearSilver/ClearSilver.so: undefined symbol: hdf_init, referer: https://192.168.12.56/server-manager/cgi-bin/mailinglists

"GET /ezmlm-web/?template=normal&action=subscribers&list=maml HTTP/1.1" 500 548 "https://192.168.12.56/server-manager/cgi-bin/mailinglists" "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0"

Actual results:
browser displaying error

Expected results:
displaying correctly without error

Additional info:

trying to build locally from the sources create a working RPM

I tried to workaround the EPEL RPM :
what I found is that when mock building you can see the following message :

+ cd perl
+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
Checking if your kit is complete...
Looks good
Note (probably harmless): No library found for -lneo_cgi
Note (probably harmless): No library found for -lneo_cs
Note (probably harmless): No library found for -lneo_utl
Writing Makefile for ClearSilver
+ cd ..
+ make -j4 'OPTIMIZE=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'


and latter

gcc  -shared -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic ClearSilver.o  -o blib/arch/auto/ClearSilver/ClearSilver.so 	\
	   -lz  	\


where you should see

gcc  -shared -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -L/usr/local/lib ClearSilver.o  -o blib/arch/auto/ClearSilver/ClearSilver.so     \
          -L/builddir/build/BUILD/clearsilver-0.10.5/perl/../libs -lneo_cgi -lneo_cs -lneo_utl -lz     \




looking at the spec file, I found the culprite :

cd perl && %{__perl} Makefile.PL && cd ..
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


modifying the order, make the rpm build correctly:

cd perl && %{__perl} Makefile.PL INSTALLDIRS=vendor && cd ..
cd perl && %{__perl} Makefile.PL && cd ..



FURTHER NOTES :

affects all versions I tested : el5, el6  possibly also the epel7

Comment 1 Jean-Philippe Pialasse 2016-04-22 07:39:03 UTC
should read :

modifying the order, make the rpm build correctly:

make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"
cd perl && %{__perl} Makefile.PL INSTALLDIRS=vendor && cd ..

Comment 2 Gwyn Ciesla 2016-04-22 14:51:17 UTC
On it's way.  It doesn't exist for epel7, do you need it there?

Comment 3 Jean-Philippe Pialasse 2016-04-22 14:52:11 UTC
(In reply to Jon Ciesla from comment #2)
> On it's way.  It doesn't exist for epel7, do you need it there?

yes !


Thank you !

Comment 4 Gwyn Ciesla 2016-04-22 14:56:57 UTC
Cool, I'll get that out too.

Comment 5 Fedora Update System 2016-04-22 15:36:26 UTC
clearsilver-0.10.5-16.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-759c626405

Comment 6 Fedora Update System 2016-04-22 15:36:32 UTC
clearsilver-0.10.5-16.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f8a9b29360

Comment 7 Fedora Update System 2016-04-22 15:36:36 UTC
clearsilver-0.10.5-35.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e352e09d1

Comment 8 Fedora Update System 2016-04-22 15:36:40 UTC
clearsilver-0.10.5-16.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1c0b404966

Comment 9 Fedora Update System 2016-04-22 15:36:44 UTC
clearsilver-0.10.5-35.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b61ad8c9f2

Comment 10 Fedora Update System 2016-04-22 15:36:48 UTC
clearsilver-0.10.5-35.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-159ded8a54

Comment 11 Fedora Update System 2016-04-24 01:24:41 UTC
clearsilver-0.10.5-35.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e352e09d1

Comment 12 Fedora Update System 2016-04-24 05:49:59 UTC
clearsilver-0.10.5-16.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-759c626405

Comment 13 Fedora Update System 2016-04-24 05:51:39 UTC
clearsilver-0.10.5-16.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1c0b404966

Comment 14 Fedora Update System 2016-04-24 06:22:59 UTC
clearsilver-0.10.5-35.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b61ad8c9f2

Comment 15 Fedora Update System 2016-04-24 06:26:02 UTC
clearsilver-0.10.5-35.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-159ded8a54

Comment 16 Fedora Update System 2016-04-24 11:15:45 UTC
clearsilver-0.10.5-16.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f8a9b29360

Comment 17 Fedora Update System 2016-05-01 23:52:46 UTC
clearsilver-0.10.5-35.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-02 05:50:26 UTC
clearsilver-0.10.5-35.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-05-07 11:58:42 UTC
clearsilver-0.10.5-35.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-10 14:44:06 UTC
clearsilver-0.10.5-16.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-05-10 15:11:37 UTC
clearsilver-0.10.5-16.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-05-10 22:28:09 UTC
clearsilver-0.10.5-16.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.